package com.waimai.web.admin.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.waimai.common.annotation.Excel;
import com.waimai.common.core.domain.BaseEntity;

/**
 * 订单记录对象 orders
 * 
 * @author callmeyan
 * @date 2023-03-24
 */
public class Orders extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单编号 */
    private String id;

    /** 订单标题 */
    @Excel(name = "订单标题")
    private String orderTitle;

    /** 价格 */
    @Excel(name = "价格")
    private Integer price;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private Integer uid;

    private String nickname;
    private String username;

    /** 订单数据 */
    private String data;

    /** 收货信息 */
    private String receiveInfo;

    /** 订单状态 */
    @Excel(name = "订单状态")
    private Integer orderStatus;

    /** 状态 */
    private Integer state;

    /** 订单商品信息 */
    private List<OrderFoods> orderFoodsList;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setOrderTitle(String orderTitle) 
    {
        this.orderTitle = orderTitle;
    }

    public String getOrderTitle() 
    {
        return orderTitle;
    }
    public void setPrice(Integer price) 
    {
        this.price = price;
    }

    public Integer getPrice() 
    {
        return price;
    }
    public void setUid(Integer uid) 
    {
        this.uid = uid;
    }

    public Integer getUid() 
    {
        return uid;
    }
    public void setData(String data) 
    {
        this.data = data;
    }

    public String getData() 
    {
        return data;
    }
    public void setReceiveInfo(String receiveInfo) 
    {
        this.receiveInfo = receiveInfo;
    }

    public String getReceiveInfo() 
    {
        return receiveInfo;
    }
    public void setOrderStatus(Integer orderStatus) 
    {
        this.orderStatus = orderStatus;
    }

    public Integer getOrderStatus() 
    {
        return orderStatus;
    }
    public void setState(Integer state) 
    {
        this.state = state;
    }

    public Integer getState() 
    {
        return state;
    }

    public List<OrderFoods> getOrderFoodsList()
    {
        return orderFoodsList;
    }

    public void setOrderFoodsList(List<OrderFoods> orderFoodsList)
    {
        this.orderFoodsList = orderFoodsList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderTitle", getOrderTitle())
            .append("price", getPrice())
            .append("uid", getUid())
            .append("data", getData())
            .append("receiveInfo", getReceiveInfo())
            .append("orderStatus", getOrderStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .append("remark", getRemark())
            .append("orderFoodsList", getOrderFoodsList())
            .toString();
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
}
